ListDataEvent (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.swing.event, class: ListDataEvent
Keywords: javax.swing.event.ListDataEvent class

# Class ListDataEvent

java.lang.Object
java.util.EventObject
javax.swing.event.ListDataEvent

All Implemented Interfaces:
  `Serializable`

public class ListDataEvent extends EventObject
Defines an event that encapsulates changes to a list.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans has been added to the `java.beans` package. Please see `XMLEncoder`.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONTENTS_CHANGED`
  Identifies one or more changes in the lists contents.
  `static final int`
  `INTERVAL_ADDED`
  Identifies the addition of one or more contiguous items to the list
  `static final int`
  `INTERVAL_REMOVED`
  Identifies the removal of one or more contiguous items from the list

  ### Fields declared in class EventObject

  `source`
  Modifier and Type
  Field
  Description
  `protected Object`
  `source`
  The object on which the Event initially occurred.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ListDataEvent(Object source, int type, int index0, int index1)`
  Constructs a ListDataEvent object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getIndex0()`
  Returns the lower index of the range.
  `int`
  `getIndex1()`
  Returns the upper index of the range.
  `int`
  `getType()`
  Returns the event type.
  `String`
  `toString()`
  Returns a string representation of this ListDataEvent.

  ### Methods declared in class EventObject

  `getSource`
  Modifier and Type
  Method
  Description
  `Object`
  `getSource()`
  The object on which the Event initially occurred.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Field Details

  - ### CONTENTS_CHANGED

    public static final int CONTENTS_CHANGED
    Identifies one or more changes in the lists contents.
    See Also:
      - Constant Field Values

  - ### INTERVAL_ADDED

    public static final int INTERVAL_ADDED
    Identifies the addition of one or more contiguous items to the list
    See Also:
      - Constant Field Values

  - ### INTERVAL_REMOVED

    public static final int INTERVAL_REMOVED
    Identifies the removal of one or more contiguous items from the list
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ListDataEvent

    public ListDataEvent(Object source, int type, int index0, int index1)
    Constructs a ListDataEvent object. If index0 is > index1, index0 and index1 will be swapped such that index0 will always be <= index1.
    Parameters:
      `source` - the source Object (typically `this`)
      `type` - an int specifying `CONTENTS_CHANGED`, `INTERVAL_ADDED`, or `INTERVAL_REMOVED`
      `index0` - one end of the new interval
      `index1` - the other end of the new interval

- ## Method Details

  - ### getType

    public int getType()
    Returns the event type. The possible values are:
    - `CONTENTS_CHANGED`
    - `INTERVAL_ADDED`
    - `INTERVAL_REMOVED`
    Returns:
      an int representing the type value

  - ### getIndex0

    public int getIndex0()
    Returns the lower index of the range. For a single element, this value is the same as that returned by `getIndex1()`.
    Returns:
      an int representing the lower index value

  - ### getIndex1

    public int getIndex1()
    Returns the upper index of the range. For a single element, this value is the same as that returned by `getIndex0()`.
    Returns:
      an int representing the upper index value

  - ### toString

    public String toString()
    Returns a string representation of this ListDataEvent. This method is intended to be used only for debugging purposes, and the content and format of the returned string may vary between implementations. The returned string may be empty but may not be `null`.
    Overrides:
      `toString` in class `EventObject`
    Returns:
      a string representation of this ListDataEvent.
    Since:
      1.4